[UBUNTU 20.10] Accept vector alignment hints on z13 (binutils)

Bug #1888654 reported by bugproxy
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
Undecided
Unassigned
binutils (Ubuntu)
Fix Released
Undecided
Skipper Bug Screeners
Groovy
Fix Released
Undecided
Skipper Bug Screeners

Bug Description

On z13 we have that vector alignment hints are already accepted. This backport enables GAS to accept such hints not only for target z14 but also for z13. Since GCCs default target on Ubuntu is z13 for s390x, we could greatly benefit from such alignment hints. (note a separate bugzilla entry for GCC allowing to emit alignment hints for z13 will be opened shortly)

This is a backport of upstreams commit 26b6ab7a0e.

---Additional Hardware Info---
n/a

---uname output---
n/a

---Debugger Data---
n/a

Machine Type = z13 2964

---Steps to Reproduce---
 n/a

Userspace tool common name: as

The userspace tool has the following bit modes: 64-bit

Userspace rpm: binutils

Userspace tool obtained from project website: na

Revision history for this message
bugproxy (bugproxy) wrote : Backport of upstream commit 26b6ab7a0e

Default Comment by Bridge

tags: added: architecture-s39064 bugnameltc-187057 severity-medium targetmilestone-inin2010
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Revision history for this message
Dimitri John Ledkov (xnox) wrote :
affects: linux (Ubuntu) → binutils (Ubuntu)
Revision history for this message
Dimitri John Ledkov (xnox) wrote :

binutils in groovy is at 20200716 snapshot from 2.35 branch of binutils.

Inspecting source code, I think we already ship this.

Changed in binutils (Ubuntu):
status: New → Fix Released
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: New → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-07-23 08:45 EDT-------
Sounds great that this has been already done for 20.10!

For us it is also important to get this into LTS version 20.04. Any chance for this?

tags: added: targetmilestone-inin2004
removed: targetmilestone-inin2010
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-07-27 06:03 EDT-------
@Canonical, please add also 20.04 to LP for getting this also fixed by the LTS version. Many thx

Frank Heimes (fheimes)
no longer affects: binutils (Ubuntu Focal)
bugproxy (bugproxy)
tags: added: targetmilestone-inin2010
removed: targetmilestone-inin2004
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-07-31 04:33 EDT-------
IBM Bugzilla status-> closed, Fix Released with groovy

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers